## com.vividsolutions.jts.operation.buffer
Class OffsetCurveSetBuilder

    java.lang.Object
      com.vividsolutions.jts.operation.buffer.OffsetCurveSetBuilder

public class OffsetCurveSetBuilder
extends java.lang.Object

Creates all the raw offset curves for a buffer of a `Geometry`. Raw curves need to be noded together and polygonized to form the final buffer area.

Version:
  1.7

Constructor Summary
`OffsetCurveSetBuilder(Geometry inputGeom, double distance, OffsetCurveBuilder curveBuilder)`

Method Summary
`java.util.List` `getCurves()` Computes the set of raw offset curves for the buffer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OffsetCurveSetBuilder

    public OffsetCurveSetBuilder(Geometry inputGeom,
                                 double distance,
                                 OffsetCurveBuilder curveBuilder)

Method Detail

### getCurves

    public java.util.List getCurves()

  Computes the set of raw offset curves for the buffer. Each offset curve has an attached `Label` indicating its left and right location.

  Returns:
    a Collection of SegmentStrings representing the raw buffer curves